/// <reference types="node" />
import { Writable } from 'stream';
import { DataFormat, DataType } from './types';
export interface QueryOptions {
    readonly name: string;
    readonly portal: string;
    readonly types: DataType[];
    readonly format: DataFormat | DataFormat[];
    readonly streams: Record<string, Writable>;
}
export declare class Query {
    readonly text: string;
    readonly values?: any[] | undefined;
    readonly options?: Partial<QueryOptions> | undefined;
    constructor(text: string, values?: any[] | undefined, options?: Partial<QueryOptions> | undefined);
}
